import React from "react";
import createHistory from "history/createBrowserHistory";
import { connect } from "react-redux";
import RegForm from "../pages/reg";
import { LogForm } from "../pages/login";
import Home from "../pages/homePage";
import ConnectCabinet from "../pages/cabinet";
import CProjects from "../pages/projects";
import ConUpload from "../pages/upload";
import ConnectedProject from "../pages/project";
import Search from "../pages/search";
import { BrowserRouter as Router, Switch, Route } from "react-router-dom";
import { Redirect } from "react-router";
import ConnectedPrivateRoute from "./privateRoute";

const Routes = ({ isAuth }) => {
  return (
    <div className="App">
      <div className="contentDiv">
        {/* <CTester/> */}
        <Router history={createHistory()}>
          
            <Switch>
              <ConnectedPrivateRoute exact path="/" roles = {['user']} component={Home} />
              <ConnectedPrivateRoute path="/cabinet" roles = {['user']} component={ConnectCabinet} />
              <ConnectedPrivateRoute path="/projects" roles = {['user']} component={CProjects} />
              <ConnectedPrivateRoute path="/project/:id" roles = {['user']} component={ConnectedProject} />
              <ConnectedPrivateRoute path="/upload" roles = {['user']} component={ConUpload} />
              <ConnectedPrivateRoute path="/search" roles = {['user']} component={Search} />
              <ConnectedPrivateRoute path="/login" roles = {['unknown']} component={LogForm} /> 
              <ConnectedPrivateRoute path="/registration" roles = {['unknown']} component={RegForm} />
              </Switch>
         
        </Router>
      </div>
    </div>
  );
};

export default Routes


