import React from 'react';
import {useDropzone} from 'react-dropzone';
import { actionFullAvatar } from '../actions/actionFullAvatar';
import { connect } from 'react-redux';
import ConnectedAvaLogo from '../components/ava';



const Upload = ({onUpload , width , radius}) => {
  const {acceptedFiles, getRootProps, getInputProps} = useDropzone();
  let files = acceptedFiles.map (file => onUpload(file))
  return (
      <div {...getRootProps({className: 'dropzone'})} style = {{display:'inline'}}>
        <input {...getInputProps()} />
        <ConnectedAvaLogo px = {width} border = {radius}/>
        
      </div>
   
  );
}

const ConUpload = connect(null , {onUpload:actionFullAvatar})(Upload)

export default ConUpload;