import { createStore, combineReducers, applyMiddleware } from "redux";
import thunk from "redux-thunk";
import { reducers } from "./reducers";
import { actionFindUser } from "../actions/actionFindUser";
import { actionSnippetFindByOwner } from "../actions/actionSnippetFindByOwner";

export const store = createStore(
  combineReducers(reducers),
  applyMiddleware(thunk)
);
const unsubscribe = store.subscribe(() =>
  console.log("result here", store.getState())
);
if (localStorage.authToken) {
  store.dispatch(actionFindUser());
  store.dispatch(
    actionSnippetFindByOwner(store.getState().auth.payload.sub.id)
  );
}
